Skip to content

@my-swu/simulator-client


@my-swu/simulator-client / RestoreMatchSaveRequest

Interface: RestoreMatchSaveRequest ​

Defined in: packages/ts-sdk/src/generated/types/common.ts:5360

Request body for POST /api/matches/restore.

Example:

ts
import type { RestoreMatchSaveRequest } from '@my-swu/simulator-client'

const restoreMatchSaveRequest: RestoreMatchSaveRequest = {
  "seatToken": 'example',
  "save": {
    "version": 0,
    "sourceMatchId": 'example',
    "seats": [],
    "aiOpponents": [],
    "aiPaused": false,
    "copiedCards": [],
    "state": {},
  },
}

console.log(restoreMatchSaveRequest)

Properties ​

save ​

Example:

ts
import type { RestoreMatchSaveRequest } from '@my-swu/simulator-client'

const restoreMatchSaveRequest: RestoreMatchSaveRequest = {
  "seatToken": 'example',
  "save": {
    "version": 0,
    "sourceMatchId": 'example',
    "seats": [],
    "aiOpponents": [],
    "aiPaused": false,
    "copiedCards": [],
    "state": {},
  },
}

const { save } = restoreMatchSaveRequest

console.log(save)

save: MatchSavePayload

Defined in: packages/ts-sdk/src/generated/types/common.ts:5364

State snapshot to restore.


seatToken ​

Example:

ts
import type { RestoreMatchSaveRequest } from '@my-swu/simulator-client'

const restoreMatchSaveRequest: RestoreMatchSaveRequest = {
  "seatToken": 'example',
  "save": {
    "version": 0,
    "sourceMatchId": 'example',
    "seats": [],
    "aiOpponents": [],
    "aiPaused": false,
    "copiedCards": [],
    "state": {},
  },
}

const { seatToken } = restoreMatchSaveRequest

console.log(seatToken)

seatToken: string

Defined in: packages/ts-sdk/src/generated/types/common.ts:5368

Seat credential whose capability authorized this save's export.

Released under the MIT License.